Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class IfActivity

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
              org.apache.ode.bpel.compiler.bom.Activity
                  org.apache.ode.bpel.compiler.bom.IfActivity

All Implemented Interfaces:
  SourceLocation

    public class IfActivity

extends Activity

Representation of the BPEL `<switch>` activity.

Nested Class Summary
`static class` | `IfActivity.Case` BPEL object model representation of a `<case>`.

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`IfActivity(org.w3c.dom.Element el)`

Method Summary
`Activity` | `getActivity()` Get the activity for this if.
`java.util.List<IfActivity.Case>` | `getCases()` Get the cases for this switch.
`Expression` | `getCondition()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity
`getJoinCondition, getLinkSources, getLinkTargets, getName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IfActivity

    public IfActivity(org.w3c.dom.Element el)

Method Detail

### getCondition

    public Expression getCondition()

### getActivity

    public Activity getActivity()

  Get the activity for this if. BPEL 2.0 draft mandated the inclusion of the condition success activity in a element. In that case this will be null. For BPEL 2.0 final this should return the condition success activity.

  Returns:
    activity enabled when case is satisfied

### getCases

    public java.util.List<IfActivity.Case> getCases()

  Get the cases for this switch.

  Returns:
    the cases

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD